Extending Qt Creator Manual | ASTVariableReference

Extending Qt Creator Manual 4.5.2

# ASTVariableReference Class

(QmlJS::ASTVariableReference)

Inherits: | QmlJS::Reference

- List of all members, including inherited members

## Public Functions

| ASTVariableReference(AST::VariableDeclaration *ast, const Document *doc, ValueOwner *valueOwner)
| ~ASTVariableReference()
const AST::VariableDeclaration * | ast() const

## Reimplemented Public Functions

virtual const ASTVariableReference * | asAstVariableReference() const override

- 3 public functions inherited from QmlJS::Reference
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTVariableReference::ASTVariableReference(AST::VariableDeclaration *ast, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTVariableReference.

### ASTVariableReference::~ASTVariableReference()

Destroys the instance of ASTVariableReference.

### `[override virtual]` const ASTVariableReference *ASTVariableReference::asAstVariableReference() const

### const AST::VariableDeclaration *ASTVariableReference::ast() const